using adas_core.Domain.Enums;
using adas_core.Domain.Models;
using adas_core.Domain.Models.SignalR;

namespace adas_core.Application.Services.Interfaces;

public interface IClientMessageService
{
    Task SendAsync(string receiverId, OperationType? type, object? msg);
    Task SendToAllAsync(OperationType type, object? msg);
    Task ProcessMessage(Message msg, string contextConnectionId);
    void SendUpdateMessageToBoxes(List<PatientLocation> boxes);
}